Bug 1123345 - move /etc/issue file into agetty package
Summary: move /etc/issue file into agetty package
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-release
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1239089
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 11:36 UTC by Tomasz Torcz
Modified: 2015-12-02 16:10 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:17:35 UTC


Attachments (Terms of Use)

Description Tomasz Torcz 2014-07-25 11:36:49 UTC
Description of problem:
Since some time, agetty supports "\S" escape code, which is resolved to PRETTY_NAME. By using this escape we can generalize /etc/issue and do not have to have it updated on every version change. Generic /etc/issue can be then shipped by agetty package.

For example, this/etc/issue file:
-----
\S
Kernel \r on an \m (\l)
-----

gives following output on a console:
-----
Fedora 20 (Heisenbug)
Kernel 3.15.6-200.fc20.x86_64 on an x86_64 (tty2)
-----

Which is close to manually updated /etc/issue from fedora-release rpm.

Comment 1 Rahul Sundaram 2014-10-05 13:28:25 UTC
Tomasz Torcz

is the agetty maintainer on-board with this plan?

Comment 2 Tomasz Torcz 2014-10-05 13:44:43 UTC
util-linux provides agetty. Karel, can you comment?

Comment 3 Karel Zak 2014-10-06 13:16:51 UTC
No problem. I have already asked for this change when we worked on rhel 7, but we have never did the change...

Comment 4 Rahul Sundaram 2014-10-06 13:18:10 UTC
@Dennis

I will be happy to do this if you are busy. Do let me know.  Thanks!

Comment 5 Zbigniew Jędrzejewski-Szmek 2014-10-17 18:06:37 UTC
While doing this, could we have agetty "internalize" this, and use "\\S\n
Kernel \\r on an \\m (\\l)" as the default is /etc/issue is missing? This would bring us one step closer to empty /etc.

Comment 6 Rahul Sundaram 2014-10-17 18:26:48 UTC
@Karel Zak,  Do you want to do this now for Rawhide?

Comment 7 Karel Zak 2014-10-21 11:03:10 UTC
Frankly, I'm not sure if we want to change the current default behaviour. 

There is -i,--noissue to disable issue file output, but "rm /etc/issue" is also possible way. I can imagine that paranoid admins delete the file to completely hide information about the system to unauthorized users. If we add any default
output than it maybe interpreted as (security sensitive) regression.

I guess that print nothing on systems with empty-/etc is not so big problem.

(or maybe I care about backward compatibility too much and force admins to use
 --noissue rather than rm /etc/issue is good enough :-)

Comment 8 Karel Zak 2014-10-21 11:03:47 UTC
(In reply to Rahul Sundaram from comment #6)
> @Karel Zak,  Do you want to do this now for Rawhide?

Yep, go ahead.

Comment 9 Zbigniew Jędrzejewski-Szmek 2014-10-21 11:52:17 UTC
(In reply to Karel Zak from comment #7)
> Frankly, I'm not sure if we want to change the current default behaviour. 
> 
> There is -i,--noissue to disable issue file output, but "rm /etc/issue" is
> also possible way. I can imagine that paranoid admins delete the file to
> completely hide information about the system to unauthorized users. If we
> add any default
> output than it maybe interpreted as (security sensitive) regression.
Yes, this change would be something to consider for the future. The new semantics would be that you have to create an empty /etc/issue to override the default. That would be a change in behaviour, not to be done in a minor version. I'd avoid that change, but status quo seems to work awkwardly with an empty /etc. To get normal behaviour with empty /etc the file would have to be added to /usr/share/factory. It is preferable to adjust the defaults in the program to avoid the need to do that.

Comment 10 Karel Zak 2014-10-21 12:18:02 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #9)
> Yes, this change would be something to consider for the future. The new
> semantics would be that you have to create an empty /etc/issue to override

or use --noissue on agetty command line

> the default. That would be a change in behaviour, not to be done in a minor
> version. I'd avoid that change, but status quo seems to work awkwardly with
> an empty /etc. To get normal behaviour with empty /etc the file would have

What do you mean with "awkwardly"? It just prints nothing.

> to be added to /usr/share/factory. It is preferable to adjust the defaults
> in the program to avoid the need to do that.

Yes, I understand and support this goal, the problem is backward compatibility (hmm.. we can use compile option --enable-agetty-default-issue)

I'll think about it for the next upstream release. It's definitely something that has to be done upstream. We will see...

Thanks!

Comment 11 Zbigniew Jędrzejewski-Szmek 2014-10-21 12:22:40 UTC
(In reply to Karel Zak from comment #10)
> (In reply to Zbigniew Jędrzejewski-Szmek from comment #9)
> > Yes, this change would be something to consider for the future. The new
> > semantics would be that you have to create an empty /etc/issue to override
> 
> or use --noissue on agetty command line
> 
> > the default. That would be a change in behaviour, not to be done in a minor
> > version. I'd avoid that change, but status quo seems to work awkwardly with
> > an empty /etc. To get normal behaviour with empty /etc the file would have
> 
> What do you mean with "awkwardly"? It just prints nothing.
I wasn't very clear. By "awkward" I meant what needs to be done
to keep current behaviour (i.e. printing something sensible) with empty /etc.

> > to be added to /usr/share/factory. It is preferable to adjust the defaults
> > in the program to avoid the need to do that.
> 
> Yes, I understand and support this goal, the problem is backward
> compatibility (hmm.. we can use compile option --enable-agetty-default-issue)
> 
> I'll think about it for the next upstream release. It's definitely something
> that has to be done upstream. We will see...
Great, thanks.

Comment 12 Karel Zak 2014-10-21 12:25:06 UTC
Added to upstream TODO file.

Comment 13 Stephen Gallagher 2015-07-10 11:47:56 UTC
I'd like to suggest that we keep /etc/issue in the fedora-release package because we now have requests to provide different information in it depending on which version of Fedora we have installed. See https://bugzilla.redhat.com/show_bug.cgi?id=1239089 for details.

Comment 14 Fedora End Of Life 2015-11-04 11:13:25 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-12-02 03:17:39 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.